# Class ShapeMode.ShadeStamper

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.ShapeMode.ShadeStamper

All Implemented Interfaces:
  `Stamper`

Enclosing class:
  `ShapeMode`

public static class ShapeMode.ShadeStamper extends Object implements Stamper
Stamper implementation for use with AuxShadingMode.

Since:
  19 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShadeStamper(Shader shader, Scaling scaling, Subrange dataclip, Color baseColor, Color nullColor, float scaleAlpha)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Icon`
`createLegendIcon(Outliner outliner)`
Returns an icon for use in a legend given an outline shape.
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShadeStamper

public ShadeStamper(Shader shader, Scaling scaling, Subrange dataclip, Color baseColor, Color nullColor, float scaleAlpha)
Constructor.

Parameters:
  `shader` - colour shader
  `scaling` - scaling function from data to shade value
  `dataclip` - scaling function range adjustment
  `baseColor` - colour to use for adjustments in case of non-absolute shader
  `nullColor` - colour to use for null aux coordinate, if null omit such points
  `scaleAlpha` - factor to scale output colour alpha by; 1 means opaque

## Method Details

### createLegendIcon

public Icon createLegendIcon(Outliner outliner)
Description copied from interface: `Stamper`
Returns an icon for use in a legend given an outline shape.

Specified by:
  `createLegendIcon` in interface `Stamper`
Parameters:
  `outliner` - outline shape
Returns:
  icon

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`